-module(ef15).
-export([solutions/3]).

solutions(A,B,C) -> 
              D = B*B - 4*A*C,
              case D of
                0 -> [-B/2/A];
                _ -> if
                  D <  0 -> [];
                  D >  0 -> 
                    DR = math:sqrt(D),
                    [(-B+DR)/2/A, (-B-DR)/2/A]
                      end
              end.

